Show / Hide Table of Contents

# Struct ImFontConfig

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontConfig

### Fields

| Improve this Doc View Source

#### DstFont

##### Declaration

    public ImFont*DstFont

##### Field Value

Type | Description
--- | ---
ImFont* |

| Improve this Doc View Source

#### FontData

##### Declaration

    public void *FontData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### FontDataOwnedByAtlas

##### Declaration

    public byte FontDataOwnedByAtlas

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FontDataSize

##### Declaration

    public int FontDataSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### FontNo

##### Declaration

    public int FontNo

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GlyphExtraSpacing

##### Declaration

    public Vector2 GlyphExtraSpacing

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GlyphMaxAdvanceX

##### Declaration

    public float GlyphMaxAdvanceX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GlyphMinAdvanceX

##### Declaration

    public float GlyphMinAdvanceX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GlyphOffset

##### Declaration

    public Vector2 GlyphOffset

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GlyphRanges

##### Declaration

    public ushort *GlyphRanges

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### MergeMode

##### Declaration

    public byte MergeMode

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### OversampleH

##### Declaration

    public int OversampleH

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OversampleV

##### Declaration

    public int OversampleV

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PixelSnapH

##### Declaration

    public byte PixelSnapH

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RasterizerFlags

##### Declaration

    public uint RasterizerFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RasterizerMultiply

##### Declaration

    public float RasterizerMultiply

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SizePixels

##### Declaration

    public float SizePixels

##### Field Value

Type | Description
--- | ---
System.Single |